
 LinHES - Bug # 841: library.xml  

Status: Closed Priority: Normal
Author: tscholl Category: Packages: Core
Created: 08/09/2012 Assignee: cecil
Updated: 08/26/2013 Due date:
Description: /usr/share/mythtv/themes/defaultmenu/library.xml in R7.3 and R7.4 has 2 entries for Play Online Streams.  

The first one should be deleted.

<button>
        <type>STREAM</type>
        <text>Play Online Streams</text>
        <description></description>
        <action>PLUGIN mythstream</action>
        <depends>mythstream</depends>
    </button>

    <button>
        <type>STREAM</type>
        <text>Play Online Streams</text>
        <description></description>
        <action>MENU is.xml</action>
    </button> 

History
08/09/2012 09:43 am - cecil
- Assignee set to cecil

- Category set to Packages: Extra

- Status changed from New to In Progress

@sudo pacman -R mythstream@ Should remove mythstream thereby removing the entry. Something must have occur when you upgraded to R7.3 as 
this should have happened automatically. Will dig into see if I can duplicate but it worked fine in testing prior to R7.3's release.

05/26/2013 02:52 pm - tscholl
Fresh install of R8 has two entries in library.xml 

    <button>
        <type>STREAM</type>
        <text>Play Online Streams</text>
        <description></description>
        <action>PLUGIN mythstream</action>
        <depends>mythstream</depends>
    </button>

    <button>
        <type>STREAM</type>
        <text>Play Online Streams</text>
        <description></description>
        <action>MENU gen_is.xml</action>
    </button>
05/29/2013 03:02 pm - jams
- Target version set to 8.1

- Category changed from Packages: Extra to Packages: Core

- Status changed from In Progress to Closed

The MythStream entry is part of .25 and shouldn't be removed.  I have changed our patch for gen_is.xml to not use the same verbage as mythstream.

08/26/2013 12:59 pm - brfransen
- Target version changed from 8.1 to 8.0
